package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.PersonApplyE;
import com.zcloud.primeport.domain.model.XgfApplyPersonE;

import java.util.ArrayList;
import java.util.List;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:22
 */
public interface PersonApplyGateway {

    /**
     * 新增
     */
    Boolean add(PersonApplyE personApplyE);

    /**
     * 修改
     */
    Boolean update(PersonApplyE personApplyE);

    /**
     * 删除
     */
    Boolean deletedPersonApplyById(Long id);

    Boolean deletedPersonApplyByIds(Long[] id);

    void saveBatch(ArrayList<PersonApplyE> personApplyES);

    void xgfPersonAudit(XgfApplyPersonE build) throws Exception;

    List<PersonApplyE> personListByxgfApplyPersonId(Long id);

    XgfApplyPersonE getXgfApplyPersonById(Long id);
}

